Skip to main content
GET
/
v1
/
client
/
statistics
/
daily
Get user daily statistics
curl --request GET \
  --url https://api.orderly.org/v1/client/statistics/daily \
  --header 'orderly-account-id: <orderly-account-id>' \
  --header 'orderly-key: <orderly-key>' \
  --header 'orderly-signature: <orderly-signature>' \
  --header 'orderly-timestamp: <orderly-timestamp>'
{
  "success": true,
  "data": {
    "rows": [
      {
        "account_value": 456789.12,
        "date": "2023-09-14",
        "perp_volume": 451580.9523,
        "pnl": 123.45,
        "snapshot_time": 1722989203989
      }
    ]
  },
  "timestamp": 1702989203989
}

Headers

orderly-timestamp
string
required

Timestamp of the signed request in milliseconds.

orderly-account-id
string
required

Account ID of the authenticated account.

orderly-key
string
required

Public orderly key used to sign the request.

orderly-signature
string
required

Signature of the request payload generated with the orderly key.

Query Parameters

start_date
string
required

Start date in YYYY-MM-DD format.

end_date
string
required

End date in YYYY-MM-DD format.

page
number

Page number to return. Starts from 1.

size
number

Number of records to return per page.

include_historical_data
boolean

When set to true, the response also includes archived data and the rate limit becomes 1 request per 60 seconds.

Response

200 - application/json

OK

success
boolean
required

Indicates whether the request was successful.

Example:

true

data
object
required
timestamp
integer

Server timestamp in milliseconds.

Example:

1702989203989